Subject: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Andrea Corallo <[email-masked]>
Date: Fri, 26 Mar 2021 13:10:49 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Fri, 26 Mar 2021 10:18:55 +0000
>> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Eli, how do you find the current branch stability on 32bit wide-int?
>
> It looks in good shape, AFAICT.

Very nice.

> One issue left, which I'm pursuing locally, is the one with strange
> gaps in the C backtraces.  You can see the traces of that on the
> gdb-patches mailing list.  When I finish that investigation, hopefully
> next week, we will be able to see whether this is some bug in the
> native-comp branch or just lack of debug info; in the latter case I
> will probably ask for changing the default debug-level in comp.el, at
> least on MS-Windows.
>
> Stay tuned.

Sure, I've seen some of that (interesting reading), thanks for looking
into this.

  Andrea